Supported Configurations - Objectivity/DB 12.4.1 and Above

Printer-friendly version
  • Certified Download Available Certified Download Available
  • Supported - Certified Upon Request Download Available (Certification Upon Request)
  • Unavailable Unavailable
  • Product Definitions

Supported configurations for our most recent release.

WindowsWindows Compiler 32-bit 64-bit
Windows 10 * VC14 Unavailable Certified Download Available
  VC12 Unavailable Certified Download Available
  VC11 Unavailable Certified Download Available
  VC10 Certified Download Available Certified Download Available
LinuxLinux * Compiler 32-bit 64-bit
Linux gcc 4.2 or higher Supported - Certified Upon Request Certified Download Available
SolarisSolaris * Compiler 32-bit 64-bit
Sun Solaris 11 (SPARC) SunStudio 12.4 Certified Download Available Supported - Certified Upon Request
Sun Solaris 10 (Sun Solaris x86/AMD Opteron) TBD Unavailable Supported - Certified Upon Request

 

* Footnotes (R12.4):

1 - Windows10 - .NET Framework 4.6 must be installed.
2 - Linux - Compatible with most Linux distributions. Latest certified compiler is gcc 4.7.3.
3 - Solaris - Certified compilers listed, issues reported with any newer compilers (supported by Sun) will also be addressed. Requires STLPort4.
4 - Solaris - Objectivity/Assist (compatible with Eclipse 3.5) unavailable on this platform.


Specific Product Requirements (if applicable and unless otherwise noted):

Objectivity for Java (OFJ) - Java JDK 1.6.0_19, 1.7, 1.8
Python - Python 2.7.2

Product Definitions:

OFJ = Objectivity for Java
HA = High Availability (formerly FTO/DRO)
AS = Active Schema for C++
ASJ = Active Schema for Java
IPLS = In process lock server
PQE = Parallel Query Engine


Date: 
Tuesday, April 25, 2017
Product: 
Objectivity/DB
Version: 
12.4